Create FX Pay Transfer (GQL)

Note: All the payment API's have the endpoint: /graphql

Use this API for initiating an FX Pay Transfer using the SWIFT network. You need to specify the account details of both the originator and recipient. An outgoing credit transaction can be initiated using this Payment Rail.

Please checkout the page at FX PAY to understand more about FX PAY Payment Rail.

During the lifecycle of a transfer, its status may undergo changes. Refer to the Transfer Status page at Transfer Status for detailed descriptions associated with each status.

The address information is available at Address Info

Note: All the payment API's have the endpoint: /payments

Body Params

Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
paymentRailThe type of transfer.YesStringFXPAY
paymentTypeThe payment type.YesStringCREDIT
fxPayCreditorIdentifierThe identifier of the creditor.YesStringFXPAY://028/1321/1234567
amountThe amount to be transferred.YesNumber1000.00
correlationIdA unique identifier or correlation to avoid duplicate transfers.YesString6B56xh4DxD5gmYzEjpuZn11dfsdfsd1f6B56xh4DxD5gmYzEjpuZn11dfsdfsd1f
originatorThe originator of the transfer.YesStringJohn Doe
recipientThe recipient of the transfer.YesStringJane Smith
referenceThe reference of the transfer.YesStringInvoice 123
paymentRailMetaDataAdditional metadata for the payment rail.NoObject
fxHoldIdUnique identifier for the booked FX rate.NoStringdfc90253-8f36-4c57-9285-a29084e7b544
destinationCurrencyThe currency in which the payment is received.NoStringEUR
destinationAmountThe amount to be received in the destination currency.YesFloat74000.00
sourceCurrencyThe currency in which the payment is made.NoStringUSD
fxRateThe exchange rate applied to the FX transaction.NoNumber82.668
holdExpiryAtThe expiry timestamp for the FX hold.NoString (ISO 8601)2025-03-13T05:30:21.509Z
purposeCodeThe code representing the purpose of the transaction.NoStringIR002
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!